/***************************************
* function componiAL
*
* compone il cod AL a partire da 
* - "AL" fisso
* - Tipo Assieme
* - @Anno (anno, 2 char)
* - @numAL (progr annuale, 5 char)
* - @cesta
* 
* es: AL R 14 01578 A036
*	AL = Assieme Logistico
*	R = cesta RX pre trattamento
*	14 = anno 
*	01578 = numero progressivo annuale della cesta (fornito da check contatore progressivo)
*	A036 = codice univoco della cesta (lettera + 3 cifre)
*
*
* Steamware, S.E.L.
* mod: 2014.03.03
*
****************************************/
CREATE FUNCTION [dbo].[f_componiAL]
(
	@TipoAl	CHAR(1),
	@Flusso NVARCHAR(2),
	@Anno	NVARCHAR(2),
	@numAL INT,
	@Cesta	VARCHAR(4)
)
RETURNS NVARCHAR(50)
AS
	BEGIN
	
		DECLARE @answ AS NVARCHAR(50)
	
		SET @answ = UPPER('AL' + @TipoAl + @Anno + dbo.f_padLeft(CAST(@numAL AS VARCHAR(5)), 5, '0') + dbo.f_padLeft(CAST(@Cesta AS VARCHAR(4)), 4, '0'))
	
	RETURN @answ
	END